Skip to main content
GET
/
payaza-account
/
api
/
v1
/
subaccounts
/
merchant
/
enquiry
/
{payazaSubAccountReference}
View Payaza Sub Account Details
curl --request GET \
  --url https://api.payaza.africa/live/payaza-account/api/v1/subaccounts/merchant/enquiry/{payazaSubAccountReference} \
  --header 'Authorization: <api-key>' \
  --header 'X-TenantID: <api-key>'
{
  "message": "New account created",
  "status": true,
  "data": [
    {
      "id": 1110,
      "accountName": "Test Sub Account",
      "accountStatus": "ACTIVE",
      "accountBalance": 0,
      "escrowBalance": 0,
      "businessFk": 11407,
      "currency": "NGN",
      "owner": "PAYAZA",
      "country": "NGA",
      "creationReference": "DC625576B5BF426A94CB6B1D868C0",
      "actionStatus": "ACTIVE",
      "payazaAccountReference": "2010000120",
      "pnc": false,
      "pnd": false,
      "virtualAccounts": [
        {
          "accountNumber": "9977719429",
          "accountName": "MERCHANT(Test Sub Account)",
          "bankCode": "000023"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Payaza {{Public API Key in Base 64}}

X-TenantID
string
header
required

live or test

Path Parameters

payazaSubAccountReference
string
required

The account reference of a Payaza Subaccount

Response

Payment successful

message
string

Response message.

Example:

"Account details fetched"

status
boolean

Request status.

Example:

true

data
object[]

List containing the account details.